# Uses of Class
java.nio.channels.Pipe.SourceChannel

Packages that use Pipe.SourceChannel
Package
Description
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.

- ## Uses of Pipe.SourceChannel in java.nio.channels

  Methods in java.nio.channels that return Pipe.SourceChannel
  Modifier and Type
  Method
  Description
  `abstract Pipe.SourceChannel`
  Pipe.`source()`
  Returns this pipe's source channel.